<template>
  <div class="inline-16">
    <el-popconfirm
      title="确定删除吗？"
      @confirm="deleteRow">
      <el-button size="small" type="text" slot="reference">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  props:['id'],
  methods:{
    deleteRow () {
      this.$api.requested({
        "id": 20220924134402,
        "content": {
            "sys_enterprise_saleclassids": [this.id]
        },
      }).then(res=>{
        this.tool.showMessage(res,()=>{
          this.$emit('onSuccess')
        })
      })
    },
  }
}

</script>
<style>
</style>